# Generated by Django 3.1.14 on 2022-04-13 11:20

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0021_customfield_changelog_data'),
        ('tenancy', '0002_auto_slug'),
        ('dcim', '0007_device_secrets_group'),
    ]

    operations = [
        migrations.CreateModel(
            name='SFPType',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created', models.DateField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('_custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('slug', models.CharField(blank=True, max_length=100, unique=True)),
                ('supplier', models.CharField(max_length=250)),
                ('end_of_manufacturer_support', models.DateField(blank=True, null=True)),
                ('manufacturer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='sfp_types', to='dcim.manufacturer')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'SFP Type',
                'verbose_name_plural': 'SFP Types',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='SFP',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('created', models.DateField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('_custom_field_data', models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('serial_number', models.CharField(max_length=100, unique=True)),
                ('dc_tag', models.CharField(blank=True, max_length=100, null=True, unique=True)),
                ('asset_tag', models.CharField(blank=True, max_length=100, null=True, unique=True)),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('tenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='sfps', to='tenancy.tenant')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sfps', to='nautobot_sfp_inventory.sfptype')),
            ],
            options={
                'verbose_name': 'SFP',
                'verbose_name_plural': 'SFPs',
                'ordering': ['serial_number'],
            },
        ),
    ]
